org.apache.maven.scm.provider.local.command.checkin

## Class LocalCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.local.command.checkin.LocalCheckInCommand

- All Implemented Interfaces:
    Command, LocalCommand

      public class LocalCheckInCommand
      extends AbstractCheckInCommand
      implements LocalCommand

  Version:
    $Id: LocalCheckInCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

      `NAME`

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalCheckInCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CheckInScmResult` | `executeCheckInCommand(ScmProviderRepository repo, ScmFileSet fileSet, String message, ScmVersion version)`

    - ### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### LocalCheckInCommand

          public LocalCheckInCommand()

  - ### Method Detail

    - #### executeCheckInCommand

          protected CheckInScmResult executeCheckInCommand(ScmProviderRepository repo,
                                               ScmFileSet fileSet,
                                               String message,
                                               ScmVersion version)
                                                    throws ScmException

      Specified by:
        `executeCheckInCommand` in class `AbstractCheckInCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.